/*================================================================================
	reportError.h
	
	1991 Greg Anderson
	greggor@apple.com
	
	FREE DISTRIBUTION
	
	The possessor of this source code may use any portion of
	it for any purpose, and I place no restriction on its
	redistribution.
	
	These routines are very convenient for debugging; they will convert
	OSErrors from short negative numbers to human-readable strings in
	Pascal format
================================================================================*/
#ifndef __REPORTERROR__
#define __REPORTERROR__

#ifndef __TYPES
#include <Types.h>
#endif

/*
// Constants:
*/
#define kReportErrorID	30303

#define kReportErrorOK	1
#define kReportErrorSC6	2

/*
// Prototypes for reportError.c
*/
Boolean			FindResultCodeDescription( OSErr theErr, Str255 errorNameStr, Str255 errorDescStr );
void			ReportError( Str255 errorMsg, OSErr theErr );

#endif
